import { Vector3 } from '../types/Math';
export declare const MEASUREMENT_STATE: {
    readonly initial: "initial";
    readonly inProgress: "inProgress";
    readonly completed: "completed";
};
export type MeasurementState = (typeof MEASUREMENT_STATE)[keyof typeof MEASUREMENT_STATE];
export interface MeasurementInterface {
    setGlobalOffset(params: Vector3): void;
    toggle(params: {
        enable: boolean;
    }): void;
    getMeasurementProgress(): MeasurementState;
    resetMeasurement(): void;
}
